Subject: Re: bug#22550: (require 'magit) produces error: "no such file or directory" "dash"

From: myglc2 <[email-masked]>
Date: Mon, 07 Mar 2016 15:03:38 -0500

Alex Kost <[email-masked]> writes:

[...]

> No, I mean it is fixed in the current master, but as I wrote¹ it will
> take effect only after we update our "guix" package.  Currently it is
> "guix-devel" package at commit c3f29bc², which is older then commit
> 004ea62 (that fixed this issue).
>
> After we update "guix" package (either via updating "guix-devel"
> snapshot or via pointing "guix" to "guix-0.9.1" after the new release),
> this will be finally fixed.
>
> ¹ http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22550#38
> ² http://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/package-management.scm#n198

Thank you. Sorry you had to explain this twice :(

I re-read your earlier posts. AIUI now, in order to use the latest guix
emacs features from 'git checkout master' one must add to emacs init:

(let ((dir "~/src/guix/emacs"))
  (add-to-list 'load-path dir)
  (setq guix-load-path dir)
  (require 'guix-init nil t))

Do you think we should we add that to (info "(guix) Building from Git") ?